# Bbuuzzb(dbeng) command defines.
# Rick Smereka, Copyright (C) 2005-2006.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, get a copy via the Internet at
# http://gnu.org/copyleft/gpl.html or write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA

# You can contact the author via email at rsmereka@future-lab.com

# Initial tcl version Apr/2005, Rick Smereka

# Added 'DBCOM_CONFIG_SET_LOG' which was missing. Apr/2006,
# Rick Smereka
const DBCOM_OPEN 1
const DBCOM_CLOSE 2
const DBCOM_NEXT 3
const DBCOM_TOP 4
const DBCOM_GET_REC 5
const DBCOM_GET_FIELD 6
const DBCOM_GOTO 7
const DBCOM_COUNT 8
const DBCOM_PUT_FIELD 9
const DBCOM_WRITE 10
const DBCOM_DELETE 11
const DBCOM_GET_DELETE_FLAG 12
const DBCOM_SET_DELETE_FLAG 13
const DBCOM_GET_NFIELDS 14
const DBCOM_GET_REC_SIZE 15
const DBCOM_GET_FIELD_SIZE 16
const DBCOM_GET_REC_NUM 17
const DBCOM_GET_POS 18
const DBCOM_SET_POS 19
const DBCOM_GET_CHANGE_REC_FLAG 20
const DBCOM_SET_CHANGE_REC_FLAG 21
const DBCOM_PACK 22
const DBCOM_NEW 23
const DBCOM_FIND 24
const DBCOM_FIND_FIELD 25
const DBCOM_FIND_PART 26
const DBCOM_FIND_FIELD_PART 27
const DBCOM_GET_REC_COUNT 28
const DBCOM_GET_ENF_CHANGE_REC_FLAG 29
const DBCOM_SET_ENF_CHANGE_REC_FLAG 30
const DBCOM_GET_IS_TABLE_LOCKED 31
const DBCOM_SET_IS_TABLE_LOCKED 32
const DBCOM_NEW_TABLE 33
const DBCOM_CONFIG_GET_TMP_PATH 34
const DBCOM_CONFIG_GET_LOG 35
const DBCOM_CONFIG_GET_SESSION 36
const DBCOM_CONFIG_GET_CATALOG 37
const DBCOM_CONFIG_GET_LOG_FLAG 38
const DBCOM_CONFIG_GET_SESSION_FLAG 39
const DBCOM_CONFIG_GET_CATALOG_FLAG 40
const DBCOM_CONFIG_GET_VERSION 41
const DBCOM_CONFIG_SET_TMP_PATH 42
const DBCOM_CONFIG_SET_LOG 43
const DBCOM_CONFIG_SET_SESSION 44
const DBCOM_CONFIG_SET_CATALOG 45
const DBCOM_CONFIG_SET_LOG_FLAG 46
const DBCOM_CONFIG_SET_SESSION_FLAG 47
const DBCOM_CONFIG_SET_CATALOG_FLAG 48
const DBCOM_VERSION 49
const DBCOM_GET_OPEN_TABLE_LIST 50
const DBCOM_GET_NSUBFIELDS 51
const DBCOM_GET_SUBFIELD_SIZE 52
const DBCOM_GET_SUBFIELD 53
const DBCOM_PUT_SUBFIELD 54
const DBCOM_GET_NSUBSUBFIELDS 55
const DBCOM_GET_SUBSUBFIELD_SIZE 56
const DBCOM_GET_SUBSUBFIELD 57
const DBCOM_PUT_SUBSUBFIELD 58
const DBCOM_CONFIG_GET_REPLICATE_FLAG 59
const DBCOM_CONFIG_SET_REPLICATE_FLAG 60
const DBCOM_REPLICATE_UPDATE 61
const DBCOM_DELETE_TABLE 62
const DBCOM_EXIST 63
const DBCOM_CLEAR_TABLE 64
const DBCOM_COPY_TABLE 65
const DBCOM_GET_CATALOG_LIST 66
const DBCOM_SORT 67
const DBCOM_GET_SORT_MEM 68
const DBCOM_SET_SORT_MEM 69
const DBCOM_GET_SORT_OPEN_BIN 70
const DBCOM_SET_SORT_OPEN_BIN 71
const DBCOM_DELETE_FIELD 72
const DBCOM_DELETE_SUBFIELD 73
const DBCOM_DELETE_SUBSUBFIELD 74
const DBCOM_TRANS_NUM 75
const DBCOM_CONNECT_NUM 76
const DBCOM_GET_AUTOPACK 77
const DBCOM_SET_AUTOPACK 78
const DBCOM_CONFIG_CLIENT_GET_LOG 79
const DBCOM_CONFIG_CLIENT_GET_LOG_FLAG 80
const DBCOM_CONFIG_CLIENT_SET_LOG 81
const DBCOM_CONFIG_CLIENT_SET_LOG_FLAG 82
const DBCOM_NOT_FOUND -1
const DBCOM_OFF -2

# number of valid commands
const DBCOM_MAXCOM 82
